%global npm_name bounce

Name: nodejs-bounce
Version: 1.2.3
Release: %mkrel 5
Summary: Selective error catching and rewrite rules
License: BSD
Group: Development/Other
URL: https://github.com/hapijs/bounce#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(boom) >= 7.0.0
Requires: npm(hoek) >= 6.0.0
BuildArch: noarch

%description
%{summary}

%prep
%autosetup -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr test %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc CONTRIBUTING.md
%doc README.md



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.2.3-5.mga10
+ Revision: 2209393
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 1.2.3-4.mga9
+ Revision: 1820132
- Mageia 9 Mass Rebuild

* Fri Jun 12 2020 joequant <joequant> 1.2.3-3.mga8
+ Revision: 1592861
- redo deps

* Fri Feb 14 2020 umeabot <umeabot> 1.2.3-2.mga8
+ Revision: 1520769
- Mageia 8 Mass Rebuild

* Sun Dec 09 2018 kekepower <kekepower> 1.2.3-1.mga7
+ Revision: 1339109
- imported package nodejs-bounce

